package keeper_test

import (
	"context"
	"testing"

	keepertest "colinear/testutil/keeper"
	"colinear/x/colinearcore/keeper"
	"colinear/x/colinearcore/types"

	sdk "github.com/cosmos/cosmos-sdk/types"
)

func setupMsgServer(t testing.TB) (types.MsgServer, context.Context) {
	k, ctx := keepertest.ColinearcoreKeeper(t)
	return keeper.NewMsgServerImpl(*k), sdk.WrapSDKContext(ctx)
}
