# MemDB

## Bidding Flow

```mermaid
flowchart 

s[Submit Bid] --> rstake{{Read Staked Amount}}

rstake --> st{Has min amount staked?}

st -- No --> re0[[Error]]
st -- Yes --> rdb{{Read MemBids}} 

rdb --> h{Is Highest Bid?} 

h -- Yes --> m{{Add to MemBids}}
h -- No --> re1[[Error]]

m -- Every Block --> ae{Auction expired?}
ae -- Yes --> fh{{Find Highest Bid}}
ae -- No --> ca{{Check again}} -- Next block --> ae

fh -- Settle --> scs[(Chain State)]
```
